True

TICK-00302 - URGENTE: ERRORE SU EVENTO MECSPE 2023 Modifica Ticket

Assegnato a : FEDERICO CALDON
Email : e.ricciato@henoto.com
Team di assistenza : Assistenza Odoo I Livello
Data Creazione : 15/07/2022
Il ticket è Chiuso? : SI
Cliente : HENOTO SPA, ELISA RICCIATO
Telefono : 340 7324269
Priorità : Alto
Data Chiusura : 15/07/2022
Categoria : Anomalia

Ciao, go creato l'evento MECSPE 2023, ma non riesco ad aprirlo da LISTA EVENTI. Di seguito l'errore:

Errore:
Henoto Server Error

Traceback (most recent call last):
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/addons/base/models/ir_http.py", line 237, in _dispatch
result = request.dispatch()
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/http.py", line 684, in dispatch
result = self._call_function(**self.params)
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/http.py", line 360, in _call_function
return checked_call(self.db, *args, **kwargs)
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/service/model.py", line 94, in wrapper
return f(dbname, *args, **kwargs)
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/http.py", line 348, in checked_call
result = self.endpoint(*a, **kw)
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/http.py", line 913, in __call__
return self.method(*args, **kw)
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/http.py", line 532, in response_wrap
response = f(*args, **kw)
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/addons/web/controllers/main.py", line 1396, in call_kw
return self._call_kw(model, method, args, kwargs)
File "/addons/base/gi_makigami/controllers/controllers.py", line 68, in _call_kw
return super(DataSet, self)._call_kw(model, method, args, kwargs)
File "/addons/base/gi_catalogue/controllers/main.py", line 31, in _call_kw
return super(DataSet, self)._call_kw(model, method, args, kwargs)
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/addons/web/controllers/main.py", line 1388, in _call_kw
return call_kw(request.env[model], method, args, kwargs)
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/api.py", line 399, in call_kw
result = _call_kw_multi(method, model, args, kwargs)
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/api.py", line 386, in _call_kw_multi
result = method(recs, *args, **kwargs)
File "/addons/base/gi_task/models/mail_thread.py", line 55, in read
return super(MailThread, self).read(fields, load)
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/models.py", line 3022, in read
return self._read_format(fnames=fields, load=load)
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/models.py", line 3042, in _read_format
vals[name] = convert(record[name], record, use_name_get)
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/models.py", line 5675, in __getitem__
return self._fields[key].__get__(self, type(self))
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/fields.py", line 3151, in __get__
return super().__get__(records, owner)
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/fields.py", line 2487, in __get__
return super().__get__(records, owner)
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/fields.py", line 1021, in __get__
self.compute_value(recs)
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/fields.py", line 1177, in compute_value
records._compute_field_value(self)
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/addons/mail/models/mail_thread.py", line 410, in _compute_field_value
return super()._compute_field_value(field)
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/models.py", line 4070, in _compute_field_value
getattr(self, field.compute)()
File "/addons/custom/ie_document/models/event.py", line 81, in _compute_files
record.files = self.env['dms.file'].search([('directory_id', '=', modules_directory.id)])
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/fields.py", line 3823, in __get__
raise ValueError("Expected singleton: %s" % record)
Exception

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/http.py", line 640, in _handle_exception
return super(JsonRequest, self)._handle_exception(exception)
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/http.py", line 316, in _handle_exception
raise exception.with_traceback(None) from new_cause
ValueError: Expected singleton: dms.directory(23062, 29679)

Storico messaggi e comunicazioni

To install this Web App in your iPhone/iPad press and then Add to Home Screen.